---
title: connection
slug: Web/API/PresentationConnectionAvailableEvent/connection
---
<p>When an incoming connection is created, a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-receiving-user-agent">receiving user agent</a> <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-firing-an-event">fires</a> a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-trusted-event">trusted event</a>, named <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-connectionavailable"><code>connectionavailable</code></a>, on a <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#idl-def-presentationreceiver"><code>PresentationReceiver</code></a>. The <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-trusted-event">trusted event</a> is fired at the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-presentation-controllers-monitor">presentation controller's monitor</a>, using the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#idl-def-presentationconnectionavailableevent"><code>PresentationConnectionAvailableEvent</code></a> interface, with the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#idl-def-presentationconnectionavailableevent-connection"><code>connection</code></a> attribute set to the <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#idl-def-presentationconnection"><code><code>PresentationConnection</code></code></a> object that was created.</p>

<p>The event is fired for all connections that are created when <a class="internalDFN" href="https://www.w3.org/TR/presentation-api/#dfn-monitoring-incoming-presentation-connections">monitoring incoming presentation connections</a>.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PresentationConnectionAvailableEvent.connection")}}</p>
